Bug 71177 - Content-type not set for errors
Summary: Content-type not set for errors
Status: CLOSED ERRATA
Alias: None
Product: Stronghold Cross Platform
Classification: Retired
Component: tomcat   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact: Stronghold Engineering List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-09 16:29 UTC by Gary Benson
Modified: 2007-04-18 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-07 17:41:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to check vulnerability (1004 bytes, text/plain)
2002-09-24 10:26 UTC, Gary Benson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:217 normal SHIPPED_LIVE Important: tomcat security update for Stronghold 2002-09-30 04:00:00 UTC
Red Hat Product Errata RHSA-2002:218 normal SHIPPED_LIVE Important: tomcat security update for Stronghold 2002-09-30 04:00:00 UTC

Description Gary Benson 2002-08-09 16:29:18 UTC
Tomcat 4.0.3 does not set the content-type for error messages, so exceptions are
displayed as text/plain instead of text/html when viewed through mod_webapp (the
default configuration for SH4).  This is
http://nagoya.apache.org/bugzilla/show_bug.cgi?id=6468 and was fixed in Tomcat
4.0.4.

Comment 1 Gary Benson 2002-08-09 16:33:48 UTC
Note that this bug neatly makes SH4 invulnerable to the cross-site scripting
attack detailed in http://www.westpoint.ltd.uk/advisories/wp-02-0008.txt.  This
must obviously be remedied before we fix this bug.

Comment 2 Gary Benson 2002-09-09 13:03:07 UTC
The advisory mentioned above has been classified as
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0682.

Comment 3 Gary Benson 2002-09-24 10:22:20 UTC
Even without the above bug Stronghold isn't vulnerable to the exploit in the
default configuration, but it is vulnerable if the user enables the
Tomcat-Standalone service.

Comment 4 Gary Benson 2002-09-24 10:26:33 UTC
Created attachment 77007 [details]
Script to check vulnerability

Comment 5 Gary Benson 2002-09-24 10:27:32 UTC
Note that stronghold-tomcat-4.0.3-2 (at least as we ship it) was never
vulnerable to the fourth test.

Comment 6 Gary Benson 2002-09-24 16:30:43 UTC
I was wrong when I said Stronghold is only vulnerable if the user enables the
Tomcat-Standalone service.  Replace 'http://localhost:8080/' with
'http://ServerName/stronghold/examples/java/' in the attached test script, for
example.

Comment 7 Joe Orton 2002-11-07 17:41:12 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-218.html



Note You need to log in before you can comment on or make changes to this bug.